summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSven Eden <yamakuzure@gmx.net>2016-12-30 15:20:35 +0100
committerSven Eden <yamakuzure@gmx.net>2017-03-14 10:18:20 +0100
commit37570c53dc8865f07ae8ff5a9915d7ed797b951f (patch)
treec7bb1f7d95c22a7663a0566081d7e09966955f51 /autogen.sh
parentf88c58a33748ad36866544b45e4fe06c506d4c31 (diff)
Prep v220: Update non-critical root files to the upstream versions.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh64
1 files changed, 57 insertions, 7 deletions
diff --git a/autogen.sh b/autogen.sh
index 9d2c652a9..2d4acdfef 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -21,13 +21,63 @@ oldpwd=$(pwd)
topdir=$(dirname $0)
cd $topdir
-# We do not need this, we are not systemd upstream!
-#if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
-# # This part is allowed to fail
-# cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
-# chmod +x .git/hooks/pre-commit && \
-# echo "Activated pre-commit hook." || :
-#fi
+if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
+ # This part is allowed to fail
+ cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
+ chmod +x .git/hooks/pre-commit && \
+ echo "Activated pre-commit hook." || :
+fi
intltoolize --force --automake
autoreconf --force --install --symlink
+
+libdir() {
+ echo $(cd "$1/$(gcc -print-multi-os-directory)"; pwd)
+}
+
+args="\
+--sysconfdir=/etc \
+--localstatedir=/var \
+--libdir=$(libdir /usr/lib) \
+"
+
+if [ -f "$topdir/.config.args" ]; then
+ args="$args $(cat $topdir/.config.args)"
+fi
+
+if [ ! -L /bin ]; then
+args="$args \
+--with-rootprefix=/ \
+--with-rootlibdir=$(libdir /lib) \
+"
+fi
+
+cd $oldpwd
+
+if [ "x$1" = "xc" ]; then
+ $topdir/configure CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus $args
+ make clean
+elif [ "x$1" = "xt" ]; then
+ $topdir/configure CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus --enable-terminal $args
+ make clean
+elif [ "x$1" = "xg" ]; then
+ $topdir/configure CFLAGS='-g -Og -ftrapv' --enable-compat-libs --enable-kdbus $args
+ make clean
+elif [ "x$1" = "xa" ]; then
+ $topdir/configure CFLAGS='-g -O0 -Wsuggest-attribute=pure -Wsuggest-attribute=const -ftrapv' --enable-compat-libs --enable-kdbus $args
+ make clean
+elif [ "x$1" = "xl" ]; then
+ $topdir/configure CC=clang CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus $args
+ make clean
+elif [ "x$1" = "xs" ]; then
+ scan-build $topdir/configure CFLAGS='-std=gnu99 -g -O0 -ftrapv' --enable-kdbus $args
+ scan-build make
+else
+ echo
+ echo "----------------------------------------------------------------"
+ echo "Initialized build system. For a common configuration please run:"
+ echo "----------------------------------------------------------------"
+ echo
+ echo "$topdir/configure CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus $args"
+ echo
+fi